
%global meadversion 1.1.7
%global namedversion 1.1.7.Final-redhat-2
%global meadalpha .Final_redhat_2
%global meadrel .1
%global serial 5
%global namedversionrel redhat-2

%bcond_without javadoc
%bcond_without mead

%{?scl:%global nfsmountable 1}
%{?scl:%scl_package tomcat-vault}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.1.7.Final-redhat-2

Name:           %{?scl_prefix}tomcat-vault
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Vault extension for Apache Tomcat
Group:          Development/Java

%if %with mead
Source100: tomcat-vault-1.1.7.Final-redhat-2-scm-sources.zip
Source102: tomcat-vault-1.1.7.Final-redhat-2-project-sources.tar.gz
Source103: tomcat-vault-1.1.7.Final-redhat-2-sources.jar
Source104: tomcat-vault-1.1.7.Final-redhat-2-javadoc.jar
Source105: tomcat-vault-1.1.7.Final-redhat-2-jar-with-dependencies.jar
Source106: tomcat-vault-1.1.7.Final-redhat-2.jar
Source107: tomcat-vault-1.1.7.Final-redhat-2.pom
%endif

License:        ASL 2.0
URL:            https://github.com/picketbox/tomcat-vault

# build/scripts patches
Requires:           %{?scl_prefix}javapackages-tools
Requires(post):     %{?scl_prefix}javapackages-tools
Requires(postun):   %{?scl_prefix}javapackages-tools
Requires:           %{?scl_prefix}tomcat
Requires:           %{?scl_prefix}tomcat-lib
Requires:           java >= 1.7.0

BuildRequires:      %{?scl_prefix}javapackages-tools
BuildRequires:      %{?scl_prefix}tomcat
BuildRequires:      %{?scl_prefix}tomcat-lib
BuildRequires:      java-devel >= 1.7.0

BuildArch:      noarch
BuildRoot:      %{_tmppath}/tomcat-vault-%{namedversion}-%{release}-root

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for tomcat-vault
Group:          Development/Documentation

Requires:       %{?scl_prefix}javapackages-tools
BuildRequires:  %{?scl_prefix}javapackages-tools
BuildRequires:  unzip
%global __requires_exclude jpackage-utils

%description javadoc
%{summary}.
%endif

%package zip
Summary:        Zip distribution for tomcat-vault
Group:          Development/Java

Provides:       tomcat-vault-zip = %{epoch}:%{version}-%{release}
BuildRequires:  zip

%description zip
%{summary}.

%package src-zip
Summary:        Sources zip distribution for tomcat-vault
Group:          Development/Java


%description src-zip
%{summary}.

%prep
%setup -q -n tomcat-vault -T -b 100

%build
%{__mkdir_p} %{_sourcedir}/bin
%{__cp} -p bin/vault.sh %{_sourcedir}/bin
%{__cp} -p bin/vault.bat %{_sourcedir}/bin
%{__cp} -p pom.xml %{_sourcedir}/

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/tomcat-vault-%{namedversion}.jar %{buildroot}%{_javadir}/tomcat-vault-%{namedversion}.jar
%if %with javadoc
    %{__cp} -p %{_sourcedir}/tomcat-vault-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/tomcat-vault-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/tomcat-vault-%{namedversion}-sources.jar %{buildroot}%{_javadir}/tomcat-vault-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# shell
%{__mkdir_p} %{buildroot}%{_bindir}
%{__cp} -p %{_sourcedir}/bin/vault.sh %{buildroot}%{_bindir}/tomcat-vault.sh

%{__cp} -p %{_sourcedir}/tomcat-vault-%{namedversion}-jar-with-dependencies.jar %{buildroot}%{_javadir}/
# For now, we want to use the jar-with-dependencies, so unlink and recreate the tomcat-vault.jar link
# TODO: Remove the following two lines after the CLI dependency issues are done
pushd %{buildroot}%{_javadir}
    unlink tomcat-vault.jar
    %{__ln_s} tomcat-vault-%{namedversion}-jar-with-dependencies.jar tomcat-vault.jar
    # Put a link to tomcat-vault on tomcat's classpath
    mkdir tomcat
    pushd tomcat
        %{__ln_s} %{_javadir}/tomcat-vault.jar .
    popd
popd

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/tomcat-vault-%{namedversion}
%{_root_bindir}/unzip -qq %{_sourcedir}/tomcat-vault-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/tomcat-vault-%{namedversion} -x META-INF/\*
%{__ln_s} tomcat-vault-%{namedversion} %{buildroot}%{_javadocdir}/tomcat-vault
%endif

# zip file
mkdir -p tmp/tomcat-vault-%{version}/bin
mkdir -p tmp/tomcat-vault-%{version}/lib

pushd tmp
pushd tomcat-vault-%{version}/bin
%{__cp} -p %{buildroot}%{_bindir}/tomcat-vault.sh .
%{__cp} -p %{_sourcedir}/bin/vault.bat ./tomcat-vault.bat
popd
%{__cp} -p %{buildroot}%{_javadir}/tomcat-vault.jar tomcat-vault-%{version}/lib/

%{__mkdir_p} %{buildroot}%{_javadir}/%{pkg_name}-fordev
# Grab the tomcat jars needed for the zip
%{__cp} $(scl enable %{scl} 'build-classpath tomcat/tomcat-util') tomcat-vault-%{version}/lib/
# Build-classpath doesn't work with juli because it's in bin
%{__cp} %{_datadir}/tomcat/bin/tomcat-juli.jar tomcat-vault-%{version}/lib/

%{_root_bindir}/zip -r -q %{buildroot}%{_javadir}/%{pkg_name}-fordev/tomcat-vault-%{namedversion}.zip tomcat-vault-%{version}/*
popd

rm -rf tmp

# Create src-zip
cp -p %{_sourcedir}/%{pkg_name}-%{namedversion}-scm-sources.zip $RPM_BUILD_ROOT%{_javadir}/%{pkg_name}-fordev/%{pkg_name}-%{namedversion}-src.zip

# Instead of using %%doc, copy files in place manually
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_docdir}/%{pkg_name}-%{version}/
cp LICENSE ${RPM_BUILD_ROOT}%{_docdir}/%{pkg_name}-%{version}/
cp README.md ${RPM_BUILD_ROOT}%{_docdir}/%{pkg_name}-%{version}/
cp INSTALL.md ${RPM_BUILD_ROOT}%{_docdir}/%{pkg_name}-%{version}/
cp Using_Crypt.md ${RPM_BUILD_ROOT}%{_docdir}/%{pkg_name}-%{version}/

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
# %%doc included the SCL name, which we don't want to do
%dir %{_docdir}/%{pkg_name}-%{version}
%{_docdir}/%{pkg_name}-%{version}/LICENSE
%{_docdir}/%{pkg_name}-%{version}/README.md
%{_docdir}/%{pkg_name}-%{version}/INSTALL.md
%{_docdir}/%{pkg_name}-%{version}/Using_Crypt.md
%{_javadir}/tomcat-vault-%{namedversion}.jar
%{_javadir}/tomcat-vault.jar
%{_javadir}/tomcat/tomcat-vault.jar
%{_bindir}/tomcat-vault.sh
%attr(0755,-,-) %{_bindir}/tomcat-vault.sh
%if %with javadoc
%{_javadir}/tomcat-vault-%{namedversion}-javadoc.jar
%{_javadir}/tomcat-vault-javadoc.jar
%endif
%{_javadir}/tomcat-vault-%{namedversion}-sources.jar
%{_javadir}/tomcat-vault-%{namedversion}-jar-with-dependencies.jar
%{_javadir}/tomcat-vault-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/tomcat-vault-%{namedversion}
%{_javadocdir}/tomcat-vault
%endif

%files zip
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{pkg_name}-fordev
%{_javadir}/%{pkg_name}-fordev/tomcat-vault-%{namedversion}.zip

%files src-zip
%defattr(0644,root,root,0755)
%{_javadir}/%{pkg_name}-fordev/tomcat-vault-%{namedversion}-src.zip

%changelog
* Fri Nov 30 2018 Coty Sutherland <csutherl@redhat.com> - 1.1.7-5.Final_redhat_2.1
- Update dependency commons-cli and jasypt versions

* Thu Nov 08 2018 Coty Sutherland <csutherl@redhat.com> - 1.1.7-4.Final_redhat_1.1
- 5.0.2.DR1

* Tue Oct 30 2018 Coty Sutherland <csutherl@redhat.com> - 1.1.7-4.Final_redhat_1.1
- Resolves: JWS-1054 missing nfsmountable directive

* Tue May 15 2018 Coty Sutherland <csutherl@redhat.com> - 1.1.7-3.Final_redhat_1.1
- Build for JWS_5.0.0.RHEL_ER2

* Thu May 03 2018 Coty Sutherland <csutherl@redhat.com> - 1.1.7-3.Final_redhat_1.1
- Related: JWS-967 Remove jpackages-util dep from javadoc subpackage

* Thu Apr 12 2018 Coty Sutherland <csutherl@redhat.com> - 1.1.7-2.Final_redhat_1.1
- Related: JWS-727

* Thu Apr 11 2018 Coty Sutherland <csutherl@redhat.com> - 1.1.7-2.Final_redhat_1.1
- Related: JWS-727 Cleanup tomcat-vault doc dir

* Wed Apr 11 2018 Coty Sutherland <csutherl@redhat.com> - 1.1.7-1.Final_redhat_1.1
- Rebase to tomcat-vault 1.1.7.Final

* Sun Mar 04 2018 Patrick Sutherland <csutherl@redhat.com> - 1.1.6-3.Final_redhat_1.2
- Add src-zip and enable javadoc subpackage in the wrapper

* Sun Mar 04 2018 Coty Sutherland <csutherl@redhat.com> - 1.1.6-3.Final_redhat_1.3
- Added src-zip subpackage

* Sat Mar 03 2018 Patrick Sutherland <csutherl@redhat.com> - 1.1.6-2.Final_redhat_1.2
- Needed more imports

* Tue Feb 27 2018 Patrick Sutherland <csutherl@redhat.com> - 1.1.6-1.Final_redhat_1.1
- Attempt four

* Tue Feb 27 2018 Patrick Sutherland <csutherl@redhat.com> - 1.1.6-1.Final_redhat_1.1
- Try and wrap 1.1.6.Final instead of 1.1.3.Final

* Tue Feb 27 2018 Patrick Sutherland <csutherl@redhat.com> - 1.1.3-2.Final_redhat_1.1
- Rebuild wrapper

* Mon Aug 14 2017 Patrick Sutherland <csutherl@redhat.com> - 1.1.3-1.Final_redhat_1.1
- Build for 1.1.3 update

* Fri Jul 28 2017 Coty Sutherland <csutherl@redhat.com> - 1.1.1-2.Final_redhat_1.1
- Resolves: JWS-281 Tomcat-vault rpm installation improvement

* Fri Jul 14 2017 Coty Sutherland <csutherl@redhat.com> - 1.1.1-1.Final_redhat_1.1
- Rebuilding against new tomcat package

* Fri Jul 14 2017 Coty Sutherland <csutherl@redhat.com> - 1.1.1-1.Final_redhat_1.1
- Rebuild to update to 1.1.1

* Fri Jul 14 2017 Coty Sutherland <csutherl@redhat.com> - 1.1.1-1.Final_redhat_1.1
- Rebuild to update to 1.1.1

* Fri Jul 14 2017 Coty Sutherland <csutherl@redhat.com> - 1.1.1-1.Final_redhat_1.1
- Rebuild to update to 1.1.1

* Fri Jul 14 2017 Coty Sutherland <csutherl@redhat.com> - 1.1.1-1.Final_redhat_1.1
- Rebuild to update to 1.1.1

* Fri Jul 14 2017 Coty Sutherland <csutherl@redhat.com> - 1.1.1-1.Final_redhat_1.1
- Rebuild to update to 1.1.1

* Fri Jul 13 2017 Coty Sutherland <csutherl@redhat.com> - 1.1.1-1.Final_redhat_1.1
- Resolves: JWS-766 tomcat-vault packaging issues

* Mon Jul 10 2017 Coty Sutherland <csutherl@redhat.com> - 1.1.0-2.Final_redhat_2.1
- Rebuilding after removing unnecessary apache-commons-cli dep

* Fri Jul 07 2017 Coty Sutherland <csutherl@redhat.com> - 1.1.0-1.Final_redhat_1.1
- Resolves: JWS-749 tomcat-vault provides misinformation about how to get started
- Resolves: JWS-748 Remove JBoss dependencies from tomcat-vault where possible
- Resolves: JWS-757 some tomcat-vault errors are ignored and not logged

* Thu Jun 29 2017 Coty Sutherland <csutherl@redhat.com> - 1.0.8-10.Final_redhat_2.1
- Building tomcat-vault for JWS4 SCL

* Tue Dec 13 2016 Coty Sutherland <csutherl@redhat.com> - 1.0.8-9.Final_redhat_2.1
- Resolves: JWS-615

* Thu Dec 01 2016 Coty Sutherland <csutherl@redhat.com> - 1.0.8-8.Final_redhat_1.1
- 

* Thu Nov 17 2016 Coty Sutherland <csutherl@redhat.com> - 1.0.8-8.Final_redhat_6.1
- Resolves: JWS-589 Tomcat-vault Rpm wrong jar name
- Resolves: JWS-586 Tomcat-vault INSTALL file is wrong
- Resolves: JWS-582 Tomcat-vault cannot resolve JBOSS_HOME

* Wed Oct 26 2016 Coty Sutherland <csutherl@redhat.com> - 1.0.8-7.Final_redhat_6.1
- 

* Wed Oct 26 2016 Coty Sutherland <csutherl@redhat.com> - 1.0.8-6.Final_redhat_5.1
- 

* Wed Oct 26 2016 Coty Sutherland <csutherl@redhat.com> - 1.0.8-5.Final_redhat_4.1
- 

* Tue Sep 20 2016 Coty Sutherland <csutherl@redhat.com> - 1.0.8-5.Final_redhat_5.1
- Resolves: JWS-217 Tomcat vault .sh script JBOSS_MODULEPATH is not used

* Mon Oct 26 2015 Wei Nan Li <weli@redhat.com> - 1.0.8-4.Final_redhat_4.1
- 

* Sun Oct 25 2015 Wei Nan Li <weli@redhat.com> - 1.0.8-3.Final_redhat_3.1
- JWS-258

* Mon Oct 19 2015 Wei Nan Li <weli@redhat.com> - 1.0.8-2.Final_redhat_2.1
-

* Wed Oct 14 2015 Wei Nan Li <weli@redhat.com> - 1.0.8-1.Final_redhat_1.1
-

* Tue Oct 13 2015 Wei Nan Li <weli@redhat.com> - 1.0.7-2.Final_redhat_1.1
-

* Tue Sep 15 2015 Wei Nan Li <weli@redhat.com> - 1.0.6-4.Final_redhat_2.3
-

* Tue Sep 15 2015 Wei Nan Li <weli@redhat.com> - 1.0.6-3.Final_redhat_2.2
-

* Tue Sep 15 2015 Wei Nan Li <weli@redhat.com> - 1.0.6-2.Final_redhat_2.1
-

* Fri Sep 11 2015 Wei Nan Li <weli@redhat.com> - 1.0.6-1.Final_redhat_1.1
-

* Fri Sep 11 2015 Wei Nan Li <weli@redhat.com> - 1.0.5-2.Final_redhat_2.1
-

* Mon Aug 24 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.5-1.Final_redhat_1.1
-

* Mon Aug 24 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.4-5.Final_redhat_7.1
-

* Wed Aug 19 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.4-4.Final_redhat_6.1
-

* Tue Aug 18 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.4-3.Final_redhat_5.1
-

* Mon Aug 17 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.4-3.Final_redhat_4.1
-

* Mon Aug 17 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.4-3.Final_redhat_3.1
-

* Fri Aug 14 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.4-2.Final_redhat_2.3
- Add zip.

* Tue Aug 04 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.4-2.Final_redhat_2.2
-

* Tue Aug 04 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.4-2.Final_redhat_2.1
-

* Tue Aug 04 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.4-1.Final_redhat_1.1
-

* Mon Aug 03 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.3-5.Final_redhat_8.1
-

* Fri Jul 31 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.3-5.Final_redhat_7.1
-

* Thu Jul 30 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.3-5.Final_redhat_6.2
-

* Thu Jul 30 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.3-5.Final_redhat_6.1
-

* Thu Jul 30 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.3-4.Final_redhat_5.1
-

* Wed Jul 29 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.3-3.Final_redhat_4.2
-

* Wed Jul 29 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.3-2.Final_redhat_4.1
-

* Wed Jul 29 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.3-1.Final_redhat_3.3
-

* Wed Jul 29 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.3-1.Final_redhat_3.2
-

* Wed Jul 29 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.3-1.Final_redhat_3.1
-

* Wed Jul 29 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.3-1.Final_redhat_2.1
-

* Wed Jul 29 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.3-1.Final_redhat_1.1
-

* Wed Jul 01 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-9.Final_redhat_16.3
-

* Wed Jul 01 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-8.Final_redhat_16.2
-

* Wed Jul 01 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-8.Final_redhat_16.1
-

* Wed Jul 01 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-8.Final_redhat_15.1
-

* Wed Jul 01 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-8.Final_redhat_14.1
-

* Tue Jun 30 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-8.Final_redhat_13.2
-

* Tue Jun 30 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-8.Final_redhat_13.1
-

* Tue Jun 30 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-8.Final_redhat_12.1
-

* Tue Jun 30 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-8.Final_redhat_11.2
-

* Tue Jun 30 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-8.Final_redhat_11.1
-

* Mon Jun 29 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.0-8.Final_redhat_10.2
-

* Mon Jun 29 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.0-7.Final_redhat_10.1
-

* Mon Jun 29 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-6.Final_redhat_9.1
-

* Mon Jun 29 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-6.Final_redhat_8.1
-

* Mon Jun 29 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-6.Final_redhat_6.1
-

* Wed Jun 17 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-5.Final_redhat_5.3
-

* Wed Jun 17 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-4.Final_redhat_5.2
-

* Wed Jun 17 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-4.Final_redhat_5.1
-

* Tue Jun 16 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.0-3.Final_redhat_4.2
-

* Tue Jun 16 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.0-3.Final_redhat_4.1
-

* Tue Jun 16 2015 Maxime Beck <maxbeck@redhat.com> - 1.0.0-2.Final_redhat_3.5
- Add AS Security Module

* Fri Jun 12 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.0-2.Final_redhat_3.4
-

* Fri Jun 12 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.0-2.Final_redhat_3.3
-

* Fri Jun 12 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.0-2.Final_redhat_3.2
-

* Fri Jun 12 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.0-2.Final_redhat_3.1
-

* Fri Jun 12 2015 Jean-Frederic Clere <jclere@redhat.com> - 1.0.0-2.Final_redhat_2.1
-

* Thu Jun 11 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-1.Final_redhat_1.1
- release
